## ufraw 0.4

=== Makefile ===
SOURCES = ufraw.c ufraw-gimp.c ufraw_ufraw.c ufraw_preview.c ufraw_routines.c dcraw.c dcraw_api.c iccjpeg.c
# ufraw_icon.h, ufraw_icon.ico are generated from ufraw_icon.png.
# They are included in the distribution files so ufraw does not depend on
# their generating utilities.
DIST_FILES = Makefile README ufraw.h dcraw_api.h blackbody.h ufraw_icon.png ufraw_icon.h ufraw_icon.ico ufraw_icon.rc iccjpeg.h gimp-2.0.pc
WININST_DIST = ufraw-setup.iss ufraw-setup.bmp ufraw_icon.bmp
TARGETS = ufraw ufraw-gimp
ifdef UFRAW_DCRAW
	TARGETS += dcraw
endif
CHECKS = gtk-version.check

VER = ufraw-0.4
DATE = `date +%Y%m%d`
OBJECTS = $(SOURCES:.c=.o) dcraw_nomain.o
ifndef UFRAW_DCRAW
	OBJECTS := $(filter-out dcraw.o,$(OBJECTS))
endif
CC = gcc
CFLAGS += -std=gnu99 -DUFRAW_VERSION='"$(VER)"'
# To check that deprecated features are not used:
#CFLAGS += -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
LDFLAGS += -llcms
GIMPTOOL = gimptool-2.0
INSTALLER = install-admin
INSTALL_USER = $(GIMPTOOL) --install-bin ufraw-gimp
INSTALL_ADMIN = $(GIMPTOOL) --install-admin-bin ufraw-gimp
UFRAW_ICON = 
ENV := $(shell uname -o 2> /dev/null || uname)
ifeq ($(ENV),Cygwin)
	WIN32 = yes
	ifndef PREFIX
		PREFIX = /cygdrive/c/mingw32
	endif
endif
ifeq ($(ENV),MINGW32_NT-5.1)
	WIN32 = yes
	ifndef PREFIX
		PREFIX = /c/mingw32
	endif
endif
ifdef WIN32
	CC += -mno-cygwin -mwindows -mms-bitfields
	CONSOLE = -mconsole
	LDFLAGS += -lws2_32
	# For some reason this is needed on Windows:
	CFLAGS += -DPACKAGE_NAME=lcms
	GIMPTOOL = pkg-config --define-variable=prefix=$(PREFIX) gimp-2.0
	export PKG_CONFIG_PATH := .
	COMMON_PLUGINS = "$(PROGRAMFILES)\GIMP-2.0\lib\gimp\2.0\plug-ins"
	USER_PLUGINS = "$(USERPROFILE)\.gimp-2.0\plug-ins"
	INSTALLER = install-windows
	INSTALL_ADMIN = cp ufraw-gimp.exe $(COMMON_PLUGINS)
	INSTALL_USER = cp ufraw-gimp.exe $(USER_PLUGINS)
	TARGETS := $(TARGETS:%=%.exe)
	EXEEXT = .exe
	UFRAW_ICON = ufraw_icon.opc
	ISCC = "$(PROGRAMFILES)\Inno Setup 5\ISCC.exe"
else
	ISCC = wine $(HOME)/.wine/dosdevices/c\:/Program\ Files/Inno\ Setup\ 5/ISCC.exe
endif
ifdef PREFIX
	CFLAGS += -I$(PREFIX)/include
	LDFLAGS += -L$(PREFIX)/lib
	ifdef PKG_CONFIG_PATH
		export PKG_CONFIG_PATH := $(PKG_CONFIG_PATH):$(PREFIX)/lib/pkgconfig
	else
		export PKG_CONFIG_PATH = $(PREFIX)/lib/pkgconfig
	endif
else
	PREFIX = /usr/local
endif
CFLAGS += `$(GIMPTOOL) --cflags`
CWARNINGS = -W -Wall
LDFLAGS += `$(GIMPTOOL) --libs` -lm
OPTIMIZE = -O3 -ffast-math -fomit-frame-pointer
MACHINE := $(shell uname -m)
ifeq ($(MACHINE),i686)
	OPTIMIZE += -march=i686
endif
# if you have pentium4, uncommenting the next line will give better results
#OPTIMIZE += -march=pentium4

# There is a -floop-optimize bug in gcc 3.3.2 on powerpc (resolved in gcc 3.4)
ifeq ($(MACHINE),Power Macintosh)
	OPTIMIZE += -fno-loop-optimize -mcpu=powerpc
endif
ifeq ($(MACHINE),ppc)
	OPTIMIZE += -fno-loop-optimize -mcpu=powerpc
endif
ifdef UFRAW_NO_JPEG
	CFLAGS += -DNO_JPEG
else
	LDFLAGS += -ljpeg
endif
ifdef UFRAW_NO_TIFF
	CFLAGS += -DNO_TIFF
else
	LDFLAGS += -ltiff
endif
ifdef UFRAW_NO_ZLIB
	CFLAGS += -DNO_ZLIB
else
	LDFLAGS += -lz
endif
ifdef UFRAW_DEBUG
	CFLAGS += -g -DDEBUG
	LDFLAGS += $(CONSOLE)
endif

build: $(CHECKS) $(TARGETS)

compile: $(CHECKS) $(OBJECTS)

gtk-version.check:
	pkg-config --atleast-version 2.4 gtk+-2.0 && touch $@

ufraw$(EXEEXT): ufraw.o ufraw_ufraw.o ufraw_routines.o ufraw_preview.o dcraw_api.o dcraw_nomain.o iccjpeg.o $(UFRAW_ICON)
	$(CC) -o $@ $^ $(LDFLAGS)

ufraw-gimp$(EXEEXT): ufraw-gimp.o ufraw_ufraw.o ufraw_preview.o ufraw_routines.o dcraw_api.o dcraw_nomain.o $(UFRAW_ICON)
	$(CC) -o $@ $^ $(LDFLAGS)
 
dcraw$(EXEEXT): dcraw.o
	$(CC) $(CONSOLE) -o $@ $^ $(LDFLAGS)

dcraw.o: dcraw.c Makefile
	$(CC) -c $(CFLAGS) $(OPTIMIZE) -Wall -o $@ $<

dcraw_nomain.o: dcraw.c Makefile
	$(CC) -c $(CFLAGS) $(OPTIMIZE) $(CWARNINGS) -Wno-sign-compare -DDCRAW_NOMAIN -o $@ $<

%.o: %.c
	$(CC) -c $(CFLAGS) $(OPTIMIZE) $(CWARNINGS) -o $@ $<

ufraw_icon.h: ufraw_icon.png
	gdk-pixbuf-csource --raw $^ --name=ufraw_icon > $@

ufraw_icon.ico: ufraw_icon.png
	{ pngtopnm $^ | pnmquant 256; pngtopnm -alpha $^; } | ppmtowinicon -andpgms -output $@ - -

ufraw_icon.opc: ufraw_icon.rc ufraw_icon.ico
	windres -i $< -o $@

ufraw.o: ufraw.c ufraw.h ufraw_icon.h iccjpeg.h Makefile

ufraw-gimp.o: ufraw-gimp.c ufraw.h ufraw_icon.h Makefile
 
ufraw_ufraw.o: ufraw_ufraw.c ufraw.h dcraw_api.h Makefile

ufraw_preview.o: ufraw_preview.c ufraw.h ufraw_icon.h Makefile

ufraw_routines.o: ufraw_routines.c ufraw.h blackbody.h Makefile
 
dcraw_api.o: dcraw_api.c dcraw_api.h Makefile

iccjpeg.o: iccjpeg.c iccjpeg.h

install: $(INSTALLER)
 
install-user: build
	$(INSTALL_USER)
 
install-admin: build
	$(INSTALL_ADMIN)
	install ufraw$(EXEEXT) $(PREFIX)/bin/ufraw$(EXEEXT)

uninstall-user:
	gimptool-2.0 --uninstall-bin ufraw-gimp

uninstall-admin:
	gimptool-2.0 --uninstall-admin-bin ufraw-gimp
	rm $(PREFIX)/bin/ufraw$(EXEEXT)

uninstall-rawphoto-user:
	gimptool-2.0 --uninstall-bin rawphoto

uninstall-rawphoto-admin:
	gimptool-2.0 --uninstall-admin-bin rawphoto

install-windows: windows-installer
	./$(VER)-setup

windows-installer: $(VER)-setup.exe

$(VER)-setup.exe: ufraw-setup.iss ufraw.exe ufraw-gimp.exe ufraw-setup.bmp ufraw_icon.bmp ufraw_icon.ico
	$(ISCC) //Q //F$(VER)-setup ufraw-setup.iss

clean:
	rm -f $(TARGETS) $(OBJECTS) $(CHECKS) $(UFRAW_ICON)

dist:
	mkdir $(VER)
	cp --parents $(SOURCES) $(DIST_FILES) $(VER)
	tar czf $(VER)-$(DATE).tar.gz $(VER)
	rm -rf $(VER)

wininst-dist:
	mkdir $(VER)
	cp --parents $(WININST_DIST) $(VER)
	tar -czf $(VER)-setup-$(DATE).tar.gz $(VER)
	rm -rf $(VER)

## ufraw 0.19.2

=== debian/changelog ===
ufraw (0.19.2-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1159700)
  * Drop patch against ufraw_conf.c, now fixed upstream.
  * d/rules: 
    - build with autoreconf.
    - remove unused --enable-maintainer-mode and --with-exiv2
      configure options.
  * d/control: build-depends on dh-autoreconf.
  * d/clean: add generated files ufraw.1 and icons/ufraw_icons.h.
  * d/copyright: rewritten in machine-readable format.
  * Ubuntu: Patch mkinstalldirs to match version in automake 1.11.6.

 -- Graham Inggs <graham@nerve.org.za>  Mon, 25 Mar 2013 11:52:48 +0200

ufraw (0.19.1-0ubuntu1) raring; urgency=low

  * New upstream release. (LP: #1153028)
  * Switch to dpkg-source 3.0 (quilt) format.
  * d/rules: rewritten using dh_auto_configure.
  * d/control:
    - set debhelper compatibility to v9.
    - switch to Standards-Version: 3.9.4
    - build-depends on libjpeg-dev instead of libjpeg8-dev.
    - build-depends on liblensfun-dev (>= 0.2.5) instead of (> 0.2.5).
    - move homepage to source section.
  * Drop patch against ufraw.pod, now fixed upstream.
  * Move patch against ufraw_conf.c to d/patches.
  * Wrap-and-sort.
  * Create d/watch.

 -- Graham Inggs <graham@nerve.org.za>  Sat, 09 Mar 2013 20:40:52 +0200

ufraw (0.18-2ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev | libtiff-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Sep 2012 11:34:31 +0100

ufraw (0.18-2) unstable; urgency=low

  * Enable lensfun support. (closes: #556277)
  * Fix syntax error in POD file. (closes: #632444)
  * Build with libjpeg8.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 19 Jun 2012 10:26:51 -0400

ufraw (0.18-1) unstable; urgency=low

  * New upstream version. (closes: #583879)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 25 Feb 2011 18:48:44 -0500

ufraw (0.16-3) unstable; urgency=low

  * ufraw-batch: Replaces: ufraw. (closes: #583751)
  * ufraw: Depend on right version of ufraw-batch.

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 02 Jun 2010 07:24:19 -0400

ufraw (0.16-2) unstable; urgency=low

  * Split ufraw-batch from ufraw package, do reduce the default
    install. (closes: #579160)
  * Build with --enable-contrast.  Feature has been present for over a
    year -- surely it's no longer experimental... (closes: #504313)
  * Remove extension from icon, and other minor changes to the desktop
    file.  Thanks to Michal Čihař and Fabian Greffrath. (closes: #553983)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 27 May 2010 18:59:18 -0400

ufraw (0.16-1) unstable; urgency=low

  * New upstream version. (closes: #551662)
    * Builds against eglibc 2.10. (closes: #549416)
    * Initial implementation of 100% zoom. (closes: #540651)
    * Fix documentation bugs. (closes: #530589, #531567)
    * Fix segfault in nikon-curve. (closes: #533125)
  * Build with better optimization. (closes: 544363)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 18 Oct 2009 16:32:17 -0400

ufraw (0.15-2) unstable; urgency=low

  * Upload to unstable.

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 16 Apr 2009 21:40:08 -0400

ufraw (0.15-1) experimental; urgency=low

  * New upstream version. (closes: #510483)
    * Canon 450D is supported. (closes: #504539)
    * Includes Canon XSi white balance presets. (closes: #509165)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 03 Jan 2009 18:42:12 -0500

ufraw (0.14.1-3) experimental; urgency=low

  * Really drop upper limit on gimp dependency. (closes: #504259)
  * Default to using gimp rather than gimp-remote, since gimp 2.4 already
    has the -remote functionality. (closes: 504260)

 -- Hubert Chathi <uhoreg@debian.org>  Sat, 20 Dec 2008 19:24:12 -0500

ufraw (0.14.1-2) experimental; urgency=low

  * Really drop gconf2 dependency. (closes: #456233)
  * Drop upper limit on gimp dependency. (closes: #504259)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 14 Nov 2008 23:41:35 -0500

ufraw (0.14.1-1) experimental; urgency=low

  * New upstream version. (closes: #502398)
    * ufraw-batch returns non-zero on error. (closes: #478570)
    * updated man page. (closes: #478582)
    * uses newer dcraw. (closes: #499665)
    * not confused any more by hugin TIFFs. (closes: #500457)
  * Drop dependency on gconf2. (closes: #456233)
  * Move homepage to homepage field.
  * Various cleanups to debian/rules clean target.
  * Bump standards version to 3.8.0 (no other changes needed).

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 28 Oct 2008 19:36:35 -0400

ufraw (0.13-1) unstable; urgency=low

  * New upstream version. (close: #451084)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 11 Dec 2007 13:02:32 -0500

ufraw (0.12.1-1) unstable; urgency=low

  * New upstream version. (closes: #436179)
    * add build-depends on zlib, libbz2, and libgtkimageview
  * Update dependency -- works with gimp 2.4. (closes: #440477)
  * Add fix for newer libgtkimageview. (upstream bug #1785426)

 -- Hubert Chan <uhoreg@debian.org>  Thu, 13 Sep 2007 03:45:36 -0400

ufraw (0.11-2) unstable; urgency=low

  * Use pkg-config instead of exiv2-config. (closes: #427385)
  * Update to latest exiv2.

 -- Hubert Chan <uhoreg@debian.org>  Tue, 19 Jun 2007 21:09:48 -0400

ufraw (0.11-1) unstable; urgency=low

  * New upstream release.
  * Use upstream's install process to properly install everything.

 -- Hubert Chan <uhoreg@debian.org>  Wed,  4 Apr 2007 13:06:52 -0400

ufraw (0.10-1) unstable; urgency=low

  * New upstream release.
  * Update maintainer address.
  * Install mime info.

 -- Hubert Chan <uhoreg@debian.org>  Sun, 29 Oct 2006 15:16:29 -0500

ufraw (0.9.1-2) unstable; urgency=low

  * Rebuild against new libexiv2.
    - libexiv2 package is now properly versioned. (closes: #387348)

 -- Hubert Chan <hubert@uhoreg.ca>  Tue, 26 Sep 2006 01:43:08 -0400

ufraw (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Compile nikon-curve.

 -- Hubert Chan <hubert@uhoreg.ca>  Wed, 16 Aug 2006 21:16:11 -0600

ufraw (0.9-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: ufraw
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hubert Chathi <uhoreg@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libbz2-dev,
               libexiv2-dev (>= 0.14),
               libgimp2.0-dev (>= 2.2),
               libgtkimageview-dev,
               libjpeg-dev,
               liblcms-dev,
               liblensfun-dev (>= 0.2.5),
               libtiff-dev,
               perl,
               zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://ufraw.sourceforge.net/

Package: ufraw
Architecture: any
Depends: desktop-file-utils,
         ufraw-batch (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gimp-ufraw
Description: standalone importer for raw camera images
 This is a standalone tool to import raw data from high-end digital cameras.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.

Package: ufraw-batch
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: ufraw
Replaces: ufraw (<< 0.16-2)
Description: batch importer for raw camera images
 This is a command-line batch tool to import raw data from high-end digital
 cameras.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.

Package: gimp-ufraw
Architecture: any
Depends: gimp (>= 2.2), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gimp-dcraw
Suggests: ufraw
Description: gimp importer for raw camera images
 This is a graphical tool to import raw data from high-end digital cameras
 into the Gimp.
 .
 The Unidentified Flying Raw (UFRaw) is a utility for converting and
 manipulating raw images from digital cameras. It can be used as a
 stand-alone tool or as a Gimp plug-in, and images can be batch
 processed using the command-line interface. UFRaw reads most existing
 raw formats using Dave Coffin's raw conversion utility DCRaw, and it
 supports basic color management using Little CMS, allowing the user to
 apply color profiles.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--prefix=/usr \
		--libexecdir=/usr/lib/ \
		--enable-extras \
		--enable-mime \
		--enable-contrast

#	copy the ufraw man page to ufraw-batch,	the ufraw package
#	can get a symlink to it as it depends on ufraw-batch
override_dh_installman:
	cp ufraw.1 debian/ufraw-batch.1
	dh_installman

=== debian/watch ===
version=3
http://sf.net/ufraw/ufraw-(.+)\.tar\.gz

## ufraw 0.22

=== debian/changelog ===
ufraw (0.22-3) unstable; urgency=medium

  * Remove gconf dependency again. (Closes: #892707)

 -- Hubert Chathi <uhoreg@debian.org>  Wed, 21 Mar 2018 14:13:29 -0400

ufraw (0.22-2) unstable; urgency=medium

  * Add patch to fix compilation with GCC 7. (Closes: #853692)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 20 Oct 2017 21:22:20 -0400

ufraw (0.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch to fix signedness of src[]. (Closes: #856227).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 27 Feb 2017 14:31:26 +0100

ufraw (0.22-1) unstable; urgency=low

  * New upstream release (Closes: #803673).
  * debian/*: modernize packaging (thanks tobi)
    * enables parallel building (Closes: #821277)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 13 May 2016 09:11:42 -0400

ufraw (0.20-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on kfreebsd-amd64 -- the compiler -ffast-math
   and -fomit-frame-pointer are causing this. (Closes: #821789)
  * Making build verbose (Closes: #822752). Maybe this gives a hint
    why it fails to build on alpha.

 -- Tobias Frost <tobi@debian.org>  Fri, 06 May 2016 14:21:18 +0200

ufraw (0.20-4) unstable; urgency=high

  * dcraw.cc: Apply fix from
    https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2
    to prevent buffer overflow in smal_decode_segment (Closes: #818882,
    CVE-2015-8366)

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 18 Apr 2016 10:49:31 -0400

ufraw (0.20-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dh_desktop call (NOOP since 2009) to fix the FTBFS seen
    during a binNMU (Closes: #817307)

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Apr 2016 14:25:38 +0200

ufraw (0.20-3) unstable; urgency=low

  * dcraw.cc: Apply patch from
    https://bugzilla.redhat.com/attachment.cgi?id=1027072&action=diff to
    prevent buffer overflow in ljpeg_start (Closes: #786783, CVE-2015-3885)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 26 May 2015 14:44:00 -0400

ufraw (0.20-2) unstable; urgency=low

  * ufraw-gimp.c: Apply upstream patch: Only use
    gimp_register_magic_load_handler() with Gimp 2.9+.
    http://ufraw.cvs.sourceforge.net/viewvc/ufraw/ufraw/ufraw-gimp.c?r1=1.82&r2=1.83
    (Closes: #772102)

 -- Hubert Chathi <uhoreg@debian.org>  Fri, 05 Dec 2014 10:23:28 -0500

ufraw (0.20-1) unstable; urgency=low

  * New upstream version.
    * Supports Fuji X-Trans filters (closes: #729026)

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 14 Oct 2014 10:27:30 -0400

ufraw (0.19.2-3.1) unstable; urgency=medium

  * Non-maintainer upload (acked by maintainer)
  * Change B-D to libjpeg-dev to finish the transition to libjpeg-turbo
    (Closes: #763496)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 29 Sep 2014 17:07:29 +0200

ufraw (0.19.2-3) unstable; urgency=low

  * debian/rules: run dh-autoreconf to update config.{sub, guess} and
    {libtool, aclocal}.m4  Patch by Breno Leitao. (closes: #756313)
  * debian/copyright: add copyright info and update to GPLv2+
  * debian/control: depend on lcms2
  * Apply patches from upstream CVS for lcms2 support. (closes: #757823)

 -- Hubert Chathi <uhoreg@debian.org>  Thu, 21 Aug 2014 17:55:45 -0400

ufraw (0.19.2-2) unstable; urgency=low

  * debian/control: fix deprecated version dependency format
  * dcraw.cc: data check patch from libraw
    (closes: #721234, CVE-2013-1438)

 -- Hubert Chathi <uhoreg@debian.org>  Sun, 01 Sep 2013 00:19:30 -0400

ufraw (0.19.2-1) unstable; urgency=low

  * New upstream version. (closes: #702148)
    * Fixes liblensfun crash. (closes: #708172)
  * Build with libtiff5.

 -- Hubert Chathi <uhoreg@debian.org>  Tue, 02 Jul 2013 09:12:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: ufraw
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hubert Chathi <uhoreg@debian.org>
+Maintainer: Hubert Chathi <uhoreg@debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               libbz2-dev,
-               libexiv2-dev (>= 0.14),
-               libgimp2.0-dev (>= 2.2),
-               libgtkimageview-dev,
-               libjpeg-dev,
-               liblcms-dev,
-               liblensfun-dev (>= 0.2.5),
-               libtiff-dev,
-               perl,
-               zlib1g-dev
-Standards-Version: 3.9.4
+   libgimp2.0-dev,
+   libjpeg-dev,
+   liblcms2-dev,
+   libtiff-dev | libtiff5-dev,
+   libexiv2-dev,
+   perl,
+   libbz2-dev,
+   zlib1g-dev,
+   libgtkimageview-dev,
+   liblensfun-dev (>= 0.2.5),
+   dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: http://ufraw.sourceforge.net/
 
 Package: ufraw
 Architecture: any
-Depends: desktop-file-utils,
-         ufraw-batch (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${shlibs:Depends}, desktop-file-utils, ufraw-batch (= ${binary:Version}), ${misc:Depends}
 Suggests: gimp-ufraw
 Description: standalone importer for raw camera images
  This is a standalone tool to import raw data from high-end digital cameras.
@@ -38,9 +34,10 @@
 
 Package: ufraw-batch
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: ufraw
 Replaces: ufraw (<< 0.16-2)
+Breaks: ufraw (<< 0.16-2)
 Description: batch importer for raw camera images
  This is a command-line batch tool to import raw data from high-end digital
  cameras.
@@ -55,8 +52,8 @@
 
 Package: gimp-ufraw
 Architecture: any
-Depends: gimp (>= 2.2), ${misc:Depends}, ${shlibs:Depends}
-Conflicts: gimp-dcraw
+Depends: ${shlibs:Depends}, gimp (>= 2.2), ${misc:Depends}
+Breaks: gimp-dcraw
 Suggests: ufraw
 Description: gimp importer for raw camera images
  This is a graphical tool to import raw data from high-end digital cameras
